App\Library\Amazon\Classes\MechanicalComponents:
    xml_root_name: MechanicalComponents
    properties:
        actuationAirPressure:
            expose: true
            access_type: public_method
            serialized_name: ActuationAirPressure
            accessor:
                getter: getActuationAirPressure
                setter: setActuationAirPressure
            type: string
        backingType:
            expose: true
            access_type: public_method
            serialized_name: BackingType
            accessor:
                getter: getBackingType
                setter: setBackingType
            type: string
        backingWeight:
            expose: true
            access_type: public_method
            serialized_name: BackingWeight
            accessor:
                getter: getBackingWeight
                setter: setBackingWeight
            type: float
        ballMaterialType:
            expose: true
            access_type: public_method
            serialized_name: BallMaterialType
            accessor:
                getter: getBallMaterialType
                setter: setBallMaterialType
            type: string
        bowlMaterialType:
            expose: true
            access_type: public_method
            serialized_name: BowlMaterialType
            accessor:
                getter: getBowlMaterialType
                setter: setBowlMaterialType
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        compatibleLubricantType:
            expose: true
            access_type: public_method
            serialized_name: CompatibleLubricantType
            accessor:
                getter: getCompatibleLubricantType
                setter: setCompatibleLubricantType
            type: string
        crackingPressure:
            expose: true
            access_type: public_method
            serialized_name: CrackingPressure
            accessor:
                getter: getCrackingPressure
                setter: setCrackingPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        cuttingDiameter:
            expose: true
            access_type: public_method
            serialized_name: CuttingDiameter
            accessor:
                getter: getCuttingDiameter
                setter: setCuttingDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        cutType:
            expose: true
            access_type: public_method
            serialized_name: CutType
            accessor:
                getter: getCutType
                setter: setCutType
            type: string
        drainTime:
            expose: true
            access_type: public_method
            serialized_name: DrainTime
            accessor:
                getter: getDrainTime
                setter: setDrainTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        extendedLength:
            expose: true
            access_type: public_method
            serialized_name: ExtendedLength
            accessor:
                getter: getExtendedLength
                setter: setExtendedLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        exteriorFinish:
            expose: true
            access_type: public_method
            serialized_name: ExteriorFinish
            accessor:
                getter: getExteriorFinish
                setter: setExteriorFinish
            type: string
        fasteningType:
            expose: true
            access_type: public_method
            serialized_name: FasteningType
            accessor:
                getter: getFasteningType
                setter: setFasteningType
            type: string
        finishTypes:
            expose: true
            access_type: public_method
            serialized_name: FinishTypes
            accessor:
                getter: getFinishTypes
                setter: setFinishTypes
            type: string
        gaugePortSize:
            expose: true
            access_type: public_method
            serialized_name: GaugePortSize
            accessor:
                getter: getGaugePortSize
                setter: setGaugePortSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        gritMaterialType:
            expose: true
            access_type: public_method
            serialized_name: GritMaterialType
            accessor:
                getter: getGritMaterialType
                setter: setGritMaterialType
            type: string
        gritType:
            expose: true
            access_type: public_method
            serialized_name: GritType
            accessor:
                getter: getGritType
                setter: setGritType
            type: string
        headHeight:
            expose: true
            access_type: public_method
            serialized_name: HeadHeight
            accessor:
                getter: getHeadHeight
                setter: setHeadHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        housingHeight:
            expose: true
            access_type: public_method
            serialized_name: HousingHeight
            accessor:
                getter: getHousingHeight
                setter: setHousingHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        hubDiameter:
            expose: true
            access_type: public_method
            serialized_name: HubDiameter
            accessor:
                getter: getHubDiameter
                setter: setHubDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        hubLength:
            expose: true
            access_type: public_method
            serialized_name: HubLength
            accessor:
                getter: getHubLength
                setter: setHubLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        industryStandardIdentifier:
            expose: true
            access_type: public_method
            serialized_name: IndustryStandardIdentifier
            accessor:
                getter: getIndustryStandardIdentifier
                setter: setIndustryStandardIdentifier
            type: string
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDiameterTolerance:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameterTolerance
            accessor:
                getter: getItemDiameterTolerance
                setter: setItemDiameterTolerance
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemPitch:
            expose: true
            access_type: public_method
            serialized_name: ItemPitch
            accessor:
                getter: getItemPitch
                setter: setItemPitch
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        itemThickness:
            expose: true
            access_type: public_method
            serialized_name: ItemThickness
            accessor:
                getter: getItemThickness
                setter: setItemThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemTorque:
            expose: true
            access_type: public_method
            serialized_name: ItemTorque
            accessor:
                getter: getItemTorque
                setter: setItemTorque
            type: App\Library\Amazon\Classes\TorqueType
        itemWidthTolerance:
            expose: true
            access_type: public_method
            serialized_name: ItemWidthTolerance
            accessor:
                getter: getItemWidthTolerance
                setter: setItemWidthTolerance
            type: App\Library\Amazon\Classes\LengthDimensionType
        lowerTemperatureRating:
            expose: true
            access_type: public_method
            serialized_name: LowerTemperatureRating
            accessor:
                getter: getLowerTemperatureRating
                setter: setLowerTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        manufacturerGrade:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerGrade
            accessor:
                getter: getManufacturerGrade
                setter: setManufacturerGrade
            type: string
        maximumFlowRate:
            expose: true
            access_type: public_method
            serialized_name: MaximumFlowRate
            accessor:
                getter: getMaximumFlowRate
                setter: setMaximumFlowRate
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        maximumGapFill:
            expose: true
            access_type: public_method
            serialized_name: MaximumGapFill
            accessor:
                getter: getMaximumGapFill
                setter: setMaximumGapFill
            type: App\Library\Amazon\Classes\VolumeDimensionType
        maximumMeasurement:
            expose: true
            access_type: public_method
            serialized_name: MaximumMeasurement
            accessor:
                getter: getMaximumMeasurement
                setter: setMaximumMeasurement
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumPressure:
            expose: true
            access_type: public_method
            serialized_name: MaximumPressure
            accessor:
                getter: getMaximumPressure
                setter: setMaximumPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        maximumRotationalSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaximumRotationalSpeed
            accessor:
                getter: getMaximumRotationalSpeed
                setter: setMaximumRotationalSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        maximumSteamPressureDescription:
            expose: true
            access_type: public_method
            serialized_name: MaximumSteamPressureDescription
            accessor:
                getter: getMaximumSteamPressureDescription
                setter: setMaximumSteamPressureDescription
            type: string
        maximumSuction:
            expose: true
            access_type: public_method
            serialized_name: MaximumSuction
            accessor:
                getter: getMaximumSuction
                setter: setMaximumSuction
            type: App\Library\Amazon\Classes\VolumeDimensionType
        maximumTorque:
            expose: true
            access_type: public_method
            serialized_name: MaximumTorque
            accessor:
                getter: getMaximumTorque
                setter: setMaximumTorque
            type: App\Library\Amazon\Classes\TorqueType
        maximumVacuumPressure:
            expose: true
            access_type: public_method
            serialized_name: MaximumVacuumPressure
            accessor:
                getter: getMaximumVacuumPressure
                setter: setMaximumVacuumPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        measurementSystem:
            expose: true
            access_type: public_method
            serialized_name: MeasurementSystem
            accessor:
                getter: getMeasurementSystem
                setter: setMeasurementSystem
            type: string
        minimumFlowRate:
            expose: true
            access_type: public_method
            serialized_name: MinimumFlowRate
            accessor:
                getter: getMinimumFlowRate
                setter: setMinimumFlowRate
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        nominalInsideDiameter:
            expose: true
            access_type: public_method
            serialized_name: NominalInsideDiameter
            accessor:
                getter: getNominalInsideDiameter
                setter: setNominalInsideDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        numberOfTeeth:
            expose: true
            access_type: public_method
            serialized_name: NumberOfTeeth
            accessor:
                getter: getNumberOfTeeth
                setter: setNumberOfTeeth
            type: integer
        numericViscosity:
            expose: true
            access_type: public_method
            serialized_name: NumericViscosity
            accessor:
                getter: getNumericViscosity
                setter: setNumericViscosity
            type: App\Library\Amazon\Classes\LengthDimensionType
        oilCapacity:
            expose: true
            access_type: public_method
            serialized_name: OilCapacity
            accessor:
                getter: getOilCapacity
                setter: setOilCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        operatingDifferentialPressure:
            expose: true
            access_type: public_method
            serialized_name: OperatingDifferentialPressure
            accessor:
                getter: getOperatingDifferentialPressure
                setter: setOperatingDifferentialPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        operatingPressureRange:
            expose: true
            access_type: public_method
            serialized_name: OperatingPressureRange
            accessor:
                getter: getOperatingPressureRange
                setter: setOperatingPressureRange
            type: App\Library\Amazon\Classes\PressureDimensionType
        operatingVacuumPressure:
            expose: true
            access_type: public_method
            serialized_name: OperatingVacuumPressure
            accessor:
                getter: getOperatingVacuumPressure
                setter: setOperatingVacuumPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        outletOperatingPressureRange:
            expose: true
            access_type: public_method
            serialized_name: OutletOperatingPressureRange
            accessor:
                getter: getOutletOperatingPressureRange
                setter: setOutletOperatingPressureRange
            type: App\Library\Amazon\Classes\PressureDimensionType
        outputPressure:
            expose: true
            access_type: public_method
            serialized_name: OutputPressure
            accessor:
                getter: getOutputPressure
                setter: setOutputPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        outsideDiameter:
            expose: true
            access_type: public_method
            serialized_name: OutsideDiameter
            accessor:
                getter: getOutsideDiameter
                setter: setOutsideDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        patternName:
            expose: true
            access_type: public_method
            serialized_name: PatternName
            accessor:
                getter: getPatternName
                setter: setPatternName
            type: string
        portToPortDistance:
            expose: true
            access_type: public_method
            serialized_name: PortToPortDistance
            accessor:
                getter: getPortToPortDistance
                setter: setPortToPortDistance
            type: App\Library\Amazon\Classes\LengthDimensionType
        pressureRange:
            expose: true
            access_type: public_method
            serialized_name: PressureRange
            accessor:
                getter: getPressureRange
                setter: setPressureRange
            type: App\Library\Amazon\Classes\PressureDimensionType
        pressureRatingClass:
            expose: true
            access_type: public_method
            serialized_name: PressureRatingClass
            accessor:
                getter: getPressureRatingClass
                setter: setPressureRatingClass
            type: string
        pullForce:
            expose: true
            access_type: public_method
            serialized_name: PullForce
            accessor:
                getter: getPullForce
                setter: setPullForce
            type: App\Library\Amazon\Classes\ForceDimensionType
        pushForce:
            expose: true
            access_type: public_method
            serialized_name: PushForce
            accessor:
                getter: getPushForce
                setter: setPushForce
            type: App\Library\Amazon\Classes\ForceDimensionType
        rakeType:
            expose: true
            access_type: public_method
            serialized_name: RakeType
            accessor:
                getter: getRakeType
                setter: setRakeType
            type: string
        rodLength:
            expose: true
            access_type: public_method
            serialized_name: RodLength
            accessor:
                getter: getRodLength
                setter: setRodLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        sealMaterialType:
            expose: true
            access_type: public_method
            serialized_name: SealMaterialType
            accessor:
                getter: getSealMaterialType
                setter: setSealMaterialType
            type: string
        seatMaterialType:
            expose: true
            access_type: public_method
            serialized_name: SeatMaterialType
            accessor:
                getter: getSeatMaterialType
                setter: setSeatMaterialType
            type: string
        shankDiameter:
            expose: true
            access_type: public_method
            serialized_name: ShankDiameter
            accessor:
                getter: getShankDiameter
                setter: setShankDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        shankHeight:
            expose: true
            access_type: public_method
            serialized_name: ShankHeight
            accessor:
                getter: getShankHeight
                setter: setShankHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        shankMaterialType:
            expose: true
            access_type: public_method
            serialized_name: ShankMaterialType
            accessor:
                getter: getShankMaterialType
                setter: setShankMaterialType
            type: string
        shankType:
            expose: true
            access_type: public_method
            serialized_name: ShankType
            accessor:
                getter: getShankType
                setter: setShankType
            type: string
        shankWidth:
            expose: true
            access_type: public_method
            serialized_name: ShankWidth
            accessor:
                getter: getShankWidth
                setter: setShankWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        sizeName:
            expose: true
            access_type: public_method
            serialized_name: SizeName
            accessor:
                getter: getSizeName
                setter: setSizeName
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        tankOperatingPressure:
            expose: true
            access_type: public_method
            serialized_name: TankOperatingPressure
            accessor:
                getter: getTankOperatingPressure
                setter: setTankOperatingPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        tensileStrength:
            expose: true
            access_type: public_method
            serialized_name: TensileStrength
            accessor:
                getter: getTensileStrength
                setter: setTensileStrength
            type: App\Library\Amazon\Classes\ForceDimensionType
        threadLength:
            expose: true
            access_type: public_method
            serialized_name: ThreadLength
            accessor:
                getter: getThreadLength
                setter: setThreadLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        threadStyle:
            expose: true
            access_type: public_method
            serialized_name: ThreadStyle
            accessor:
                getter: getThreadStyle
                setter: setThreadStyle
            type: string
        threadType:
            expose: true
            access_type: public_method
            serialized_name: ThreadType
            accessor:
                getter: getThreadType
                setter: setThreadType
            type: string
        toleranceHeld:
            expose: true
            access_type: public_method
            serialized_name: ToleranceHeld
            accessor:
                getter: getToleranceHeld
                setter: setToleranceHeld
            type: string
        tubingSize:
            expose: true
            access_type: public_method
            serialized_name: TubingSize
            accessor:
                getter: getTubingSize
                setter: setTubingSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        upperTemperatureRating:
            expose: true
            access_type: public_method
            serialized_name: UpperTemperatureRating
            accessor:
                getter: getUpperTemperatureRating
                setter: setUpperTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        wheelDiameter:
            expose: true
            access_type: public_method
            serialized_name: WheelDiameter
            accessor:
                getter: getWheelDiameter
                setter: setWheelDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        wheelRecessDimensions:
            expose: true
            access_type: public_method
            serialized_name: WheelRecessDimensions
            accessor:
                getter: getWheelRecessDimensions
                setter: setWheelRecessDimensions
            type: App\Library\Amazon\Classes\LengthDimensionType
        wheelTreadWidth:
            expose: true
            access_type: public_method
            serialized_name: WheelTreadWidth
            accessor:
                getter: getWheelTreadWidth
                setter: setWheelTreadWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
